//-----------------------------------------
// LScript Modeler template
//
//Copyright Mike Green
// dodgy@shortbutpurple.fsnet.co.uk
//

@version 2.2
@warnings
@script modeler
@name MG Split By Seam

// global values go here
myversion=1.1;

//v1.1
// got rid of annoying requester. Yay!

//v1
// Complete first version
myuvmap;

main
{
    // requester code goes here
    myuvmap=VMap(VMTEXTURE,0) || error("Please choose a UV map");
    
    uvsplit();
}



uvsplit
{
    selmode(USER);

    mymesh=Mesh(0);
    
    mybbox=boundingbox();
    if(!mybbox)
        error("Please have an object");

    unweld();
    editbegin();
        mymorph=VMap(VMSPOT,myuvmap.name+"_MGSplitBySeam",3);
        foreach(p,points)
        {
            if(myuvmap.isMapped(p))
            {
                mypos=myuvmap.getValue(p);
                mymorph.setValue(p,<mypos[1], mypos[2],0>); // puts it outside the objects bounding box. 
            }
        }
    editend();
//debug();

    selpoint(CLEAR);
    mergepoints();

    editbegin();

        i=1;
        foreach(p,points)  // change to mypoints
        {
            if(mymorph.isMapped(p))
            {
                mymorph.setValue(p,nil);            // put this in here to make it faster
                mypoints[i]=p;
                i++;
            }
        }

    editend();

// this gets rid of the morphmap.
    editbegin();
        mytemp = VMap(VMMORPH,"MGUVRelaxTempMorph",3);
        mytemp.setValue(points[1],<1,1,1>);
    editend();
    undo();

    mymesh.select();
    selectvmap(VMTEXTURE,myuvmap.name);

    selpoint(CLEAR);
    selpoint(SET,POINTID,mypoints);


}










